Page MenuHomePhabricator

Investigate usage of ttf-ubuntu-font-family which is not available on Jessie
Closed, ResolvedPublic

Description

From T95002#1178354

ttf-ubuntu-font-family does not exist in Debian, as its license was considered non-free and after that, traction was lost (and hence was never uploaded even to non-free). Why do we need it, though? This is a very Ubuntu-specific font.

Event Timeline

hashar created this task.Jun 22 2015, 12:03 PM
hashar raised the priority of this task from to Normal.
hashar updated the task description. (Show Details)
hashar added subscribers: Dzahn, gerritbot, Joe and 3 others.
Aklapper renamed this task from Investigate usage of ttf-ubuntu-font-familly which is not available on Jessie to Investigate usage of ttf-ubuntu-font-family which is not available on Jessie.Jun 30 2015, 2:38 PM
Aklapper set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 30 2015, 2:38 PM

Any news on this ?

According to T32288 it was added for SVG conversion:
Various SVG diagrams use fonts from the 'Ubuntu' typeface as the font in their labels. These are currently substituted for other fonts at the moment.

The font is not in Debian since it's considered non-free by Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=603157
The mentioned restrictions are about naming the fonts after having made changes to it. Full license is here and looks fine to me: http://font.ubuntu.com/licence/ (especially since we're only using the font on our servers, not redistributing it).

Since I assume the SVG reason from above is still true, I'd say for the jessie app servers we should simply build ttf-ubuntu-font-family for jessie-wikimedia

MoritzMuehlenhoff closed this task as Resolved.Apr 21 2016, 8:07 AM
MoritzMuehlenhoff claimed this task.

I built the trusty jessie of src:ubuntu-font-family-sources for jessie-wikimedia and uploaded it to carbon.

Dzahn awarded a token.Apr 21 2016, 5:09 PM

On integration-slave-jessie1001 (which has the puppet class mediawiki::packages) puppet is happy:

Notice: /Stage[main]/Mediawiki::Packages::Fonts/Package[ttf-ubuntu-font-family]/ensure: ensure changed 'purged' to 'present'

Thanks!